<?php
/*********************************************************
		install.php

  Créé le 08/08/2006 par Saint-Pere

  Si votre mod requiert l'éxecution de requêtes 
  servez-vous de ce script


*********************************************************/

if (!defined('IN_PHPBB'))
{
	die("Hacking attempt");
}

global $lang,$userdata,$db,$table_prefix;

// 2 précautions valent mieux qu'une
if ($userdata['user_level'] != ADMIN)
{
	message_die(GENERAL_MESSAGE, $lang['Not_admin']);
}
/*


*/
$requetes = array (
" 
INSERT INTO `".$table_prefix."areabb_config` (`nom`, `valeur`) VALUES ('chasse_id', '0')
","
INSERT INTO `".$table_prefix."areabb_config` (`nom`, `valeur`) VALUES ('chasse_titre', '')
"
);

$nbre_requetes = sizeof($requetes);

for ($i=0;$i < $nbre_requetes; $i++)
{
	if( !($result = $db->sql_query($requetes[$i])) )
	{
		message_die(GENERAL_ERROR, "Impossible de lancer cette requete d'installation", '', __LINE__, __FILE__, $requetes[$i]);
	}	
}

?>